﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Web.Controllers.Activity
{
    public class ActivityController : Controller
    {
        //
        // GET: /Activity/

        public ActionResult Index()
        {
            int id = int.Parse(Request["Id"]);
            List<Model.Activity> activitys = DependencyLocate.FactoryContainer.Factory.GetActivityServices().SelectWhereId(id);
            ViewData["activitys"] = activitys;


            return View();
        }
        public ActionResult IndexForm()
        {
            return View();
        }

        public ActionResult Insert()
        {
            Model.Activity activity = new Model.Activity();
            activity.Name = Request["Name"];
            int i = DependencyLocate.FactoryContainer.Factory.GetActivityServices().Insert(activity);
            if (i > 0)
            {
                ViewData["i"] = i;
            }
            else
            {
                ViewData["i"] = 0;
            }
            return View();
        }
        public ActionResult InsertForm()
        {
            return View();
        }

    }
}
