﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IFactory
{
    /// <summary>
    /// 工厂服务接口
    /// </summary>
    public interface IServicesFactory
    {
        /// <summary>
        /// 获得成员服务
        /// </summary>
        /// <returns></returns>
        IServices.IMemberServices GetMemberServices();
        /// <summary>
        /// 获得活动服务
        /// </summary>
        /// <returns></returns>
        IServices.IActivityServices GetActivityServices();
        /// <summary>
        /// 获得活动记录服务
        /// </summary>
        /// <returns></returns>
        IServices.IActivityRecordServices GetActivityRecordServices();

    }
}
